package com.rizzoweb.alarm;

/**
 * This class is uncommented.
 */
public class SystemExecAlarmTask extends AlarmTask {

	private String execCommand;

	/**
	 * Simple accessor to the system command line I execute when my
	 * alarm fires.
	 */
	public String getCommandLine() {
		return execCommand;
	}

	/**
	 * Sets the system command line that is executed when my alarm fires.
	 */
	public void setCommandLine(String newCommandLine) {
		execCommand = newCommandLine;
	}

	/**
	 * Creates a new instance that will execute the given system command
	 * line when the given alarm fires.
	 */
	public SystemExecAlarmTask(AlarmSchedule aSchedule, String commandLine) {

		super(aSchedule);
		setCommandLine(commandLine);
	}

	public void handleAlarm(AlarmSchedule schedule) {

		try {
			Runtime.getRuntime().exec(getCommandLine());
		} catch (java.io.IOException ex) {
			System.out.println("Exception while executing command line:");
			ex.printStackTrace();
		}
	}
}
